QueueStatistics (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: QueueStatistics

Package org.apache.hadoop.yarn.api.records

# Class QueueStatistics

java.lang.Object
org.apache.hadoop.yarn.api.records.QueueStatistics

@Public @Unstable public abstract class QueueStatistics extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueueStatistics()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract long`
  `getAllocatedContainers()`
  Get the number of allocated containers.
  `abstract long`
  `getAllocatedMemoryMB()`
  Get the allocated memory in MB
  `abstract long`
  `getAllocatedVCores()`
  Get the allocated vcores
  `abstract long`
  `getAvailableMemoryMB()`
  Get the available memory in MB
  `abstract long`
  `getAvailableVCores()`
  Get the available vcores
  `abstract long`
  `getNumActiveUsers()`
  Get the number of active users
  `abstract long`
  `getNumAppsCompleted()`
  Get the number of completed apps
  `abstract long`
  `getNumAppsFailed()`
  Get the number of failed apps
  `abstract long`
  `getNumAppsKilled()`
  Get the number of killed apps
  `abstract long`
  `getNumAppsPending()`
  Get the number of pending apps
  `abstract long`
  `getNumAppsRunning()`
  Get the number of running apps
  `abstract long`
  `getNumAppsSubmitted()`
  Get the number of apps submitted
  `abstract long`
  `getPendingContainers()`
  Get the number of pending containers.
  `abstract long`
  `getPendingMemoryMB()`
  Get the pending memory in MB
  `abstract long`
  `getPendingVCores()`
  Get the pending vcores
  `abstract long`
  `getReservedContainers()`
  Get the number of reserved containers.
  `abstract long`
  `getReservedMemoryMB()`
  Get the reserved memory in MB
  `abstract long`
  `getReservedVCores()`
  Get the reserved vcores
  `static QueueStatistics`
  `newInstance(long submitted, long running, long pending, long completed, long killed, long failed, long activeUsers, long availableMemoryMB, long allocatedMemoryMB, long pendingMemoryMB, long reservedMemoryMB, long availableVCores, long allocatedVCores, long pendingVCores, long reservedVCores)`
  `abstract void`
  `setAllocatedContainers(long allocatedContainers)`
  Set the number of allocated containers.
  `abstract void`
  `setAllocatedMemoryMB(long allocatedMemoryMB)`
  Set the allocated memory in MB
  `abstract void`
  `setAllocatedVCores(long allocatedVCores)`
  Set the allocated vcores
  `abstract void`
  `setAvailableMemoryMB(long availableMemoryMB)`
  Set the available memory in MB
  `abstract void`
  `setAvailableVCores(long availableVCores)`
  Set the available vcores
  `abstract void`
  `setNumActiveUsers(long numActiveUsers)`
  Set the number of active users
  `abstract void`
  `setNumAppsCompleted(long numAppsCompleted)`
  Set the number of completed apps
  `abstract void`
  `setNumAppsFailed(long numAppsFailed)`
  Set the number of failed apps
  `abstract void`
  `setNumAppsKilled(long numAppsKilled)`
  Set the number of killed apps
  `abstract void`
  `setNumAppsPending(long numAppsPending)`
  Set the number of pending apps
  `abstract void`
  `setNumAppsRunning(long numAppsRunning)`
  Set the number of running apps
  `abstract void`
  `setNumAppsSubmitted(long numAppsSubmitted)`
  Set the number of apps submitted
  `abstract void`
  `setPendingContainers(long pendingContainers)`
  Set the number of pending containers.
  `abstract void`
  `setPendingMemoryMB(long pendingMemoryMB)`
  Set the pending memory in MB
  `abstract void`
  `setPendingVCores(long pendingVCores)`
  Set the pending vcores
  `abstract void`
  `setReservedContainers(long reservedContainers)`
  Set the number of reserved containers.
  `abstract void`
  `setReservedMemoryMB(long reservedMemoryMB)`
  Set the reserved memory in MB
  `abstract void`
  `setReservedVCores(long reservedVCores)`
  Set the reserved vcores

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QueueStatistics

    public QueueStatistics()

- ## Method Details

  - ### newInstance

    @Private @Unstable public static QueueStatistics newInstance(long submitted, long running, long pending, long completed, long killed, long failed, long activeUsers, long availableMemoryMB, long allocatedMemoryMB, long pendingMemoryMB, long reservedMemoryMB, long availableVCores, long allocatedVCores, long pendingVCores, long reservedVCores)

  - ### getNumAppsSubmitted

    public abstract long getNumAppsSubmitted()
    Get the number of apps submitted
    Returns:
      the number of apps submitted

  - ### setNumAppsSubmitted

    public abstract void setNumAppsSubmitted(long numAppsSubmitted)
    Set the number of apps submitted
    Parameters:
      `numAppsSubmitted` - the number of apps submitted

  - ### getNumAppsRunning

    public abstract long getNumAppsRunning()
    Get the number of running apps
    Returns:
      the number of running apps

  - ### setNumAppsRunning

    public abstract void setNumAppsRunning(long numAppsRunning)
    Set the number of running apps
    Parameters:
      `numAppsRunning` - the number of running apps

  - ### getNumAppsPending

    public abstract long getNumAppsPending()
    Get the number of pending apps
    Returns:
      the number of pending apps

  - ### setNumAppsPending

    public abstract void setNumAppsPending(long numAppsPending)
    Set the number of pending apps
    Parameters:
      `numAppsPending` - the number of pending apps

  - ### getNumAppsCompleted

    public abstract long getNumAppsCompleted()
    Get the number of completed apps
    Returns:
      the number of completed apps

  - ### setNumAppsCompleted

    public abstract void setNumAppsCompleted(long numAppsCompleted)
    Set the number of completed apps
    Parameters:
      `numAppsCompleted` - the number of completed apps

  - ### getNumAppsKilled

    public abstract long getNumAppsKilled()
    Get the number of killed apps
    Returns:
      the number of killed apps

  - ### setNumAppsKilled

    public abstract void setNumAppsKilled(long numAppsKilled)
    Set the number of killed apps
    Parameters:
      `numAppsKilled` - the number of killed apps

  - ### getNumAppsFailed

    public abstract long getNumAppsFailed()
    Get the number of failed apps
    Returns:
      the number of failed apps

  - ### setNumAppsFailed

    public abstract void setNumAppsFailed(long numAppsFailed)
    Set the number of failed apps
    Parameters:
      `numAppsFailed` - the number of failed apps

  - ### getNumActiveUsers

    public abstract long getNumActiveUsers()
    Get the number of active users
    Returns:
      the number of active users

  - ### setNumActiveUsers

    public abstract void setNumActiveUsers(long numActiveUsers)
    Set the number of active users
    Parameters:
      `numActiveUsers` - the number of active users

  - ### getAvailableMemoryMB

    public abstract long getAvailableMemoryMB()
    Get the available memory in MB
    Returns:
      the available memory

  - ### setAvailableMemoryMB

    public abstract void setAvailableMemoryMB(long availableMemoryMB)
    Set the available memory in MB
    Parameters:
      `availableMemoryMB` - the available memory

  - ### getAllocatedMemoryMB

    public abstract long getAllocatedMemoryMB()
    Get the allocated memory in MB
    Returns:
      the allocated memory

  - ### setAllocatedMemoryMB

    public abstract void setAllocatedMemoryMB(long allocatedMemoryMB)
    Set the allocated memory in MB
    Parameters:
      `allocatedMemoryMB` - the allocate memory

  - ### getPendingMemoryMB

    public abstract long getPendingMemoryMB()
    Get the pending memory in MB
    Returns:
      the pending memory

  - ### setPendingMemoryMB

    public abstract void setPendingMemoryMB(long pendingMemoryMB)
    Set the pending memory in MB
    Parameters:
      `pendingMemoryMB` - the pending memory

  - ### getReservedMemoryMB

    public abstract long getReservedMemoryMB()
    Get the reserved memory in MB
    Returns:
      the reserved memory

  - ### setReservedMemoryMB

    public abstract void setReservedMemoryMB(long reservedMemoryMB)
    Set the reserved memory in MB
    Parameters:
      `reservedMemoryMB` - the reserved memory

  - ### getAvailableVCores

    public abstract long getAvailableVCores()
    Get the available vcores
    Returns:
      the available vcores

  - ### setAvailableVCores

    public abstract void setAvailableVCores(long availableVCores)
    Set the available vcores
    Parameters:
      `availableVCores` - the available vcores

  - ### getAllocatedVCores

    public abstract long getAllocatedVCores()
    Get the allocated vcores
    Returns:
      the allocated vcores

  - ### setAllocatedVCores

    public abstract void setAllocatedVCores(long allocatedVCores)
    Set the allocated vcores
    Parameters:
      `allocatedVCores` - the allocated vcores

  - ### getPendingVCores

    public abstract long getPendingVCores()
    Get the pending vcores
    Returns:
      the pending vcores

  - ### setPendingVCores

    public abstract void setPendingVCores(long pendingVCores)
    Set the pending vcores
    Parameters:
      `pendingVCores` - the pending vcores

  - ### getPendingContainers

    public abstract long getPendingContainers()
    Get the number of pending containers.
    Returns:
      the number of pending containers.

  - ### setPendingContainers

    public abstract void setPendingContainers(long pendingContainers)
    Set the number of pending containers.
    Parameters:
      `pendingContainers` - the pending containers.

  - ### getAllocatedContainers

    public abstract long getAllocatedContainers()
    Get the number of allocated containers.
    Returns:
      the number of allocated containers.

  - ### setAllocatedContainers

    public abstract void setAllocatedContainers(long allocatedContainers)
    Set the number of allocated containers.
    Parameters:
      `allocatedContainers` - the allocated containers.

  - ### getReservedContainers

    public abstract long getReservedContainers()
    Get the number of reserved containers.
    Returns:
      the number of reserved containers.

  - ### setReservedContainers

    public abstract void setReservedContainers(long reservedContainers)
    Set the number of reserved containers.
    Parameters:
      `reservedContainers` - the reserved containers.

  - ### getReservedVCores

    public abstract long getReservedVCores()
    Get the reserved vcores
    Returns:
      the reserved vcores

  - ### setReservedVCores

    public abstract void setReservedVCores(long reservedVCores)
    Set the reserved vcores
    Parameters:
      `reservedVCores` - the reserved vcores